# (c) cavaliba.com - permissions


# ------------------------------------------------------
# Core Permissions
# ------------------------------------------------------

# conf

- classname: _permission
  keyname: p_conf_view
  description: "conf view permission"
  displayname: p_conf_view

- classname: _permission
  keyname: p_conf_admin
  description: "conf admin permission"
  displayname: "p_conf_admin"

# log    

- classname: _permission
  keyname: p_log_view
  description: "LOG view permission"
  displayname: "p_log_view"

- classname: _permission
  keyname: p_log_admin
  description: "LOG admin permission"
  displayname: p_log_admin

# home 
  
- classname: _permission
  keyname: p_home_access
  description: "HOME app Access"
  displayname: "p_home_access"

- classname: _permission
  keyname: p_home_admin
  description: "HOME dashboard admin"
  displayname: p_home_admin


# --------------------
# IAM Permissions
# --------------------

- classname: _permission
  keyname: p_iam_access
  description: "IAM access"
  displayname: p_iam_access

- classname: _permission
  keyname: p_iam_impersonate
  description: "IAM can impersonate other account"
  displayname: p_iam_impersonate

- classname: _permission
  keyname: p_iam_export
  description: "IAM export permission"
  displayname: p_iam_export
  
# -- user

- classname: _permission
  keyname: p_user_pref
  description: "USER.preferences permission"
  displayname: p_user_pref

- classname: _permission
  keyname: p_user_email_test
  description: "USER.test_email permission"
  displayname: p_user_email_test

- classname: _permission
  keyname: p_user_sms_test
  description: "USER.test_sms permission"
  displayname: p_user_sms_test

- classname: _permission
  keyname: p_user_debug
  description: "USER.debug permission"
  displayname: p_user_debug

- classname: _permission
  keyname: p_user_read
  description: "USER read permission"
  displayname: p_user_read

- classname: _permission
  keyname: p_user_create
  description: "USER create permission"
  displayname: p_user_create

- classname: _permission
  keyname: p_user_update
  description: "USER update permission"
  displayname: p_user_update

- classname: _permission
  keyname: p_user_delete
  description: "USER delete permission"
  displayname: p_user_delete


  # -- group

- classname: _permission
  keyname: p_group_read
  description: "GROUP read permission"
  displayname: "p_group_read"

- classname: _permission
  keyname: p_group_create
  description: "GROUP create permission"
  displayname: "p_group_create"

- classname: _permission
  keyname: p_group_update
  description: "GROUP update permission"
  displayname: "p_group_update"

- classname: _permission
  keyname: p_group_delete
  description: "GROUP delete permission"
  displayname: "p_group_delete"
  

# -- role

- classname: _permission
  keyname: p_role_read
  description: "IAM role read permission"
  displayname: p_role_read

- classname: _permission
  keyname: p_role_create
  description: "IAM role create permission"
  displayname: p_role_create
  
- classname: _permission
  keyname: p_role_update
  description: "IAM role update permission"
  displayname: p_role_update
  
- classname: _permission
  keyname: p_role_delete
  description: "IAM role delete permission"
  displayname: p_role_delete
      

# -- permission

- classname: _permission
  keyname: p_permission_read
  description: "IAM permission read permission"
  displayname: p_permission_read
  
- classname: _permission
  keyname: p_permission_create
  description: "IAM permission create permission"
  displayname: p_permission_create
  
- classname: _permission
  keyname: p_permission_update
  description: "IAM permission update permission"
  displayname: p_permission_update
  
- classname: _permission
  keyname: p_permission_delete
  description: "IAM permission delete permission"
  displayname: p_permission_delete
      

# ---------------------
# Data PERMISSIONS
# ---------------------

# data access 

- classname: _permission
  keyname: p_data_access
  description: "DATA dashboard access"
  displayname: "p_data_access"
  
# security

- classname: _permission
  keyname: p_data_security_view
  description: "DATA Security VIEW permission"
  displayname: p_data_security_view
  
- classname: _permission
  keyname: p_data_security_edit
  description: "DATA Security EDIT permission"
  displayname: p_data_security_edit
    

# schema

- classname: _permission
  keyname: p_schema_read
  description: "SCHEMA read"
  displayname: "p_schema_read"
  
- classname: _permission
  keyname: p_schema_create
  description: "SCHEMA create"
  displayname: "p_schema_create"
  
- classname: _permission
  keyname: p_schema_update
  description: "SCHEMA update"
  displayname: "p_schema_update"
  
- classname: _permission
  keyname: p_schema_delete
  description: "SCHEMA delete"
  displayname: "p_schema_delete"
  
# schema field

- classname: _permission
  keyname: p_schemafield_read
  description: "SCHEMA FIELD read"
  displayname: p_schemafield_read
  
- classname: _permission
  keyname: p_schemafield_create
  description: "SCHEMA FIELD create"
  displayname: p_schemafield_create
  
- classname: _permission
  keyname: p_schemafield_update
  description: "SCHEMA FIELD update"
  displayname: p_schemafield_update
  
- classname: _permission
  keyname: p_schemafield_delete
  description: "SCHEMA FIELD delete"
  displayname: p_schemafield_delete
  
  
# p_data_admin all data classes + not blockable

- classname: _permission
  keyname: p_data_admin
  description: "DATA all permissions non-blocking"
  displayname: "p_data_admin"
  

# all data classes  ; blockable downward

- classname: _permission
  keyname: p_data_read
  description: "DATA read all"
  displayname: "p_data_read"
  
- classname: _permission
  keyname: p_data_create
  description: "DATA create all"
  displayname: "p_data_create"
  
- classname: _permission
  keyname: p_data_update
  description: "DATA update all"
  displayname: "p_data_update"
  
- classname: _permission
  keyname: p_data_delete
  description: "DATA delete all"
  displayname: "p_data_delete"
  
- classname: _permission
  keyname: p_data_import
  description: "DATA UI import Tool"
  displayname: "p_data_import"
  
- classname: _permission
  keyname: p_data_export
  description: "DATA UI export Tool"
  displayname: p_data_export
  
  
# ---------------------
# Enumerate PERMISSIONS
# ---------------------

- classname: _permission
  keyname: p_enumerate_admin
  description: "enumerate admin permission"
  displayname: "p_enumerate_admin"
  
- classname: _permission
  keyname: p_enumerate_create
  description: "enumerate create permission"
  displayname: p_enumerate_create
  
- classname: _permission
  keyname: p_enumerate_read
  description: "enumerate read permission"
  displayname: p_enumerate_read
  
- classname: _permission
  keyname: p_enumerate_update
  description: "enumerate update permission"
  displayname: p_enumerate_update
  
- classname: _permission
  keyname: p_enumerate_delete
  description: "enumerate delete permission"
  displayname: p_enumerate_delete
  

# ---------------------
# Pipeline
# ---------------------

- classname: _permission
  keyname: p_pipeline_admin
  description: "pipeline admin permission"
  displayname: "p_pipeline_admin"
  
- classname: _permission
  keyname: p_pipeline_create
  description: "pipeline create permission"
  displayname: p_pipeline_create
  
- classname: _permission
  keyname: p_pipeline_read
  description: "pipeline read permission"
  displayname: p_pipeline_read
  
- classname: _permission
  keyname: p_pipeline_update
  description: "pipeline update permission"
  displayname: p_pipeline_update
  
      
- classname: _permission
  keyname: p_pipeline_delete
  description: "pipeline delete permission"
  displayname: p_pipeline_delete
  


- classname: _permission
  keyname: p_dataview_admin
  description: "dataview admin permission"
  displayname: "p_dataview_admin"
  
- classname: _permission
  keyname: p_dataview_create
  description: "dataview create permission"
  displayname: p_dataview_create
  
- classname: _permission
  keyname: p_dataview_read
  description: "dataview read permission"
  displayname: p_dataview_read
  
- classname: _permission
  keyname: p_dataview_update
  description: "dataview update permission"
  displayname: p_dataview_update
  
- classname: _permission
  keyname: p_dataview_delete
  description: "dataview delete permission"
  displayname: p_dataview_delete
  

# ------------------------
# apikey
# ------------------------


- classname: _permission
  keyname: p_apikey_admin
  description: "APIKEY admin permission"
  displayname: "p_apikey_admin"
  
- classname: _permission
  keyname: p_apikey_create
  description: "APIKEY create permission"
  displayname: p_apikey_create
  
- classname: _permission
  keyname: p_apikey_read
  description: "APIKEY read permission"
  displayname: p_apikey_read
  
- classname: _permission
  keyname: p_apikey_update
  description: "APIKEY update permission"
  displayname: p_apikey_update
        
- classname: _permission
  keyname: p_apikey_delete
  description: "APIKEY delete permission"
  displayname: p_apikey_delete
  

# -----------------------------------
# site
# -----------------------------------

- classname: _permission
  keyname: p_data_site_admin
  description: "data_site admin permission"
  displayname: "p_data_site_admin"
  

- classname: _permission
  keyname: p_data_site_create
  description: "data_site create permission"
  displayname: p_data_site_create
  

- classname: _permission
  keyname: p_data_site_read
  description: "data_site read permission"
  displayname: p_data_site_read
  

- classname: _permission
  keyname: p_data_site_update
  description: "data_site update permission"
  displayname: p_data_site_update
  
      
- classname: _permission
  keyname: p_data_site_delete
  description: "data_site delete permission"
  displayname: p_data_site_delete
  
     


# -----------------------------------
# app
# -----------------------------------

- classname: _permission
  keyname: p_data_app_admin
  description: "data_app admin permission"
  displayname: "p_data_app_admin"
  
     

- classname: _permission
  keyname: p_data_app_create
  description: "data_app create permission"
  displayname: p_data_app_create
  
     

- classname: _permission
  keyname: p_data_app_read
  description: "data_app read permission"
  displayname: p_data_app_read
  
     

- classname: _permission
  keyname: p_data_app_update
  description: "data_app update permission"
  displayname: p_data_app_update
  
     
      
- classname: _permission
  keyname: p_data_app_delete
  description: "data_app delete permission"
  displayname: p_data_app_delete
  

# -----------------------------------
# sitegroup
# -----------------------------------

- classname: _permission
  keyname: p_data_sitegroup_admin
  description: "data_sitegroup admin permission"
  displayname: "p_data_sitegroup_admin"
  
- classname: _permission
  keyname: p_data_sitegroup_create
  description: "data_sitegroup create permission"
  displayname: p_data_sitegroup_create
  
- classname: _permission
  keyname: p_data_sitegroup_read
  description: "data_sitegroup read permission"
  displayname: p_data_sitegroup_read
  
- classname: _permission
  keyname: p_data_sitegroup_update
  description: "data_sitegroup update permission"
  displayname: p_data_sitegroup_update
        
- classname: _permission
  keyname: p_data_sitegroup_delete
  description: "data_sitegroup delete permission"
  displayname: p_data_sitegroup_delete
       



# -----------------------------------
# sirene
# -----------------------------------


- classname: _permission
  keyname: p_sirene_access
  description: "SIRENE app access"
  displayname: p_sirene_access

- classname: _permission
  keyname: p_sirene_access_restricted
  description: "SIRENE  access to all restricted messages"
  displayname: p_sirene_access_restricted

- classname: _permission
  keyname: p_sirene_detail
  description: "SIRENE access details"
  displayname: p_sirene_detail

- classname: _permission
  keyname: p_sirene_history
  description: "SIRENE access history"
  displayname: p_sirene_history

- classname: _permission
  keyname: p_sirene_new
  description: "SIRENE create a new notification"
  displayname: p_sirene_new

- classname: _permission
  keyname: p_sirene_update
  description: "SIRENE update a notification"
  displayname: p_sirene_update

- classname: _permission
  keyname: p_sirene_archive
  description: "SIRENE archive a notification"
  displayname: p_sirene_archive


- classname: _permission
  keyname: p_sirene_flushall
  description: "SIRENE archive all active notifications"
  displayname: p_sirene_flushall


- classname: _permission
  keyname: p_sirene_sms_send
  description: "SIRENE SMS Send"
  displayname: p_sirene_sms_send

- classname: _permission
  keyname: p_sirene_sms_journal
  description: "SIRENE SMS Journal"
  displayname: p_sirene_sms_journal

- classname: _permission
  keyname: p_sirene_sms_stat
  description: "SIRENE SMS Stat"
  displayname: p_sirene_sms_stat

# -- public


- classname: _permission
  keyname: p_data_sirene_public_admin
  description: "data_sirene_public admin permission"
  displayname: p_data_sirene_public_admin

- classname: _permission
  keyname: p_data_sirene_public_create
  description: "data_sirene_public create permission"
  displayname: p_data_sirene_public_create

- classname: _permission
  keyname: p_data_sirene_public_read
  description: "data_sirene_public read permission"
  displayname: p_data_sirene_public_read

- classname: _permission
  keyname: p_data_sirene_public_update
  description: "data_sirene_public update permission"
  displayname: p_data_sirene_public_update
      
- classname: _permission
  keyname: p_data_sirene_public_delete
  description: "data_sirene_public delete permission"
  displayname: p_data_sirene_public_delete



# -- template


- classname: _permission
  keyname: p_data_sirene_template_admin
  description: "data_sirene_template admin permission"
  displayname: p_data_sirene_template_admin

- classname: _permission
  keyname: p_data_sirene_template_create
  description: "data_sirene_template create permission"
  displayname: p_data_sirene_template_create

- classname: _permission
  keyname: p_data_sirene_template_read
  description: "data_sirene_template read permission"
  displayname: p_data_sirene_template_read

- classname: _permission
  keyname: p_data_sirene_template_update
  description: "data_sirene_template update permission"
  displayname: p_data_sirene_template_update
      
- classname: _permission
  keyname: p_data_sirene_template_delete
  description: "data_sirene_template delete permission"
  displayname: p_data_sirene_template_delete



# -- message 



- classname: _permission
  keyname: p_data_sirene_message_admin
  description: "data_sirene_message admin permission"
  displayname: p_data_sirene_message_admin

- classname: _permission
  keyname: p_data_sirene_message_create
  description: "data_sirene_message create permission"
  displayname: p_data_sirene_message_create

- classname: _permission
  keyname: p_data_sirene_message_read
  description: "data_sirene_message read permission"
  displayname: p_data_sirene_message_read

- classname: _permission
  keyname: p_data_sirene_message_update
  description: "data_sirene_message update permission"
  displayname: p_data_sirene_message_update
      
- classname: _permission
  keyname: p_data_sirene_message_delete
  description: "data_sirene_message delete permission"
  displayname: p_data_sirene_message_delete



# -----------------------------------
# Status Monitor
# -----------------------------------

- classname: _permission
  keyname: p_status_access
  description: "STATUS access"
  displayname: p_status_access
  
- classname: _permission
  keyname: p_status_read
  description: "STATUS read"
  displayname: p_status_read
  
- classname: _permission
  keyname: p_status_write
  description: "STATUS write"
  displayname: p_status_write
  
- classname: _permission
  keyname: p_status_admin
  description: "STATUS admin"
  displayname: p_status_admin
  

# --------------------------------------------
# IPAM
# --------------------------------------------


- classname: _permission
  keyname: p_ipam_access
  description: "IPAM access"
  
- classname: _permission
  keyname: p_ipam_read
  description: "IPAM read"
  
- classname: _permission
  keyname: p_ipam_write
  description: "IPAM write"
  
- classname: _permission
  keyname: p_ipam_admin
  description: "IPAM admin"
  

# --------------------------------------------
# --------------------------------------------


# --------------------------------------------
# --------------------------------------------

